Subject: Re: FIB alternative fib_hash2.c

From: Andre Tomt <[email-masked]>
Date: Fri, 15 Apr 2005 19:31:00 +0200

Robert Olsson wrote:
> Hello!
> 
> Don't like to sit on this... originally an experiment to understand what we
> can expect from FIB lookup in the linux context. Beginning to think it 
> might be useful as is... memory is cheap. With full bgp and rDoS I see around
> double FIB lookup performance.  No-one has been brave enough to test it....
> Patch is for 2.6.11 and includes an Kconfig option different FIB alternatives.

Drool. Got some numbers? pps - flows - memory use, on what hardware, 
that sort of thing.